<template>
  <div class="account">
    <v-notification
      :messages="messages"
      :timeout="3000"
    />
    <div class="container">
      <div class="account-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
      </div>
      <div class="account-avatar-wrap">
        <div class="account-avatar-img">
          <img src="../assets/images/card/img1.jpg" alt="">
        </div>
        <div class="account-avatar-name">
          <div class="account-name title">Аристарх Мышеловский</div>
          <Stars :size="14" :stars="4" :margin="['0', '0', '14', '0']"/>
          <div class="account-main-name subtitle">
            4,8 / <span class="blue" @click="showReviews">Отзывы (197)<img src="../assets/images/icons/next-arrow.svg" alt=""></span>
          </div>
        </div>
      </div>
      <div class="account-main-info">
        <div class="title">Описание</div>
        <p class="account-main-info-subtitle">
          У попа была собака он её любил, она
          съела кусок мяса он её убил
        </p>
      </div>
      <div class="account-ads">
        <div class="title">Объявления</div>
        <div class="account-filter-slide">
          <div
            v-for="(slide, i) in slideFilter.el"
            :key="i"
            :class="{'active': slideFilter.active === slide.name}"
            @click="slideFilter.active = slide.name"
            class="slide"
          >{{slide.name}}</div>
        </div>
        <router-link :to="{name: 'profile', params: {id: 'UIUXSeniorDesigner'}}">
          <CardProfile name="UI/UX Senior Designer"/>
        </router-link>
        <router-link :to="{name: 'profile', params: {id: 'JenskiiClub'}}">
          <CardProfile name="Jenskii Club"/>
        </router-link>
      </div>
    </div>
    <Reviews
      v-show="reviews"
      @close="reviews = false"
    />
  </div>
</template>

<script>
import CardProfile from "../components/Card-profile";
import Reviews from "../components/Reviews";
import Stars from "../components/Stars";
import vNotification from "../components/Notification";
export default {
  name: "Account",
  components: {'v-notification': vNotification, Stars, Reviews, CardProfile},
  data () {
    return {
      slideFilter: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'Реклама', link: '' },
          { name: 'Аккаунты', link: '' },
          { name: 'Работа', link: '' },
        ]
      },
      reviews: false,
      messages: []
    }
  },
  created () {
    this.$root.$refs.account = this
  },
  methods: {
    notification () {
      this.messages.unshift(
        { title: 'Спасибо за оставленный отзыв!', subtitle: 'Ваш отзыв будет виден другим пользователям', icon: 'alert', id: 12121 }
      )
    },
    burger () {
      this.$root.$refs.app.burgerActive()
    },
    showReviews () {
      // при открытии меню, нужно проверить прокрутку body
      // если крутится - открыть меню и заблокировать скролл
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.reviews) {
        document.body.style.overflow = 'hidden'
        this.reviews = true
      }
    }
  },
}
</script>

<style scoped lang="scss">
.account {
  padding-bottom: 80px;
  .title {
    font-size: 16px;
    margin-bottom: 16px;
    text-align: left;
  }
  .container {
    .account-head {
      display: flex;
      margin-bottom: 30px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .account-avatar-wrap {
      display: flex;
      margin-bottom: 24px;
      .account-avatar-img {
        margin-right: 14px;
        width: 105px;
        img {
          width: 105px;
          border-radius: 50%;
        }
        position: relative;
        span {
          background: linear-gradient(180deg, #CC00AB 0%, #FF7A00 100%);
          border: 1.45833px solid #FFFFFF;
          box-sizing: border-box;
          width: 41px;
          height: 41px;
          border-radius: 50%;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
      .account-avatar-name {
        .account-name {
          margin-bottom: 8px;
          text-align: left;
          font-weight: 700;
          font-size: 20px;
        }
        .account-stars {
          margin-bottom: 14px;
          img {
            margin-right: 8.67px;
            &:last-child {
              margin-right: 0;
            }
          }
        }
      }
    }
    .account-main-info {
      color: #424242;
      line-height: 130%;
      margin-bottom: 24px;
      .account-main-info-subtitle {
      }
    }
    .account-ads {
      .account-filter-slide {
        display: flex;
        overflow-y: scroll;
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */
        margin-bottom: 16px;
        &::-webkit-scrollbar {
          display: none;
        }
        .slide {
          margin: 0 8px;
          display: inline-block;
          color: #C4C4C4;
          transition: all 0.3s;
          &:first-child {
            margin-left: 0;
          }
          &.active {
            color: #2B7FE2;
          }
        }
      }
    }
  }
}
</style>
